import React from "react";
import {AppShell} from "annotation-toolkit"
import Store from "global-context-store"
import { Layers } from "./task/Task"
// import DataLoader from "./task/DataLoader"
import ContextPanel from "./task/ContextPanel";

// function AnnotationTool({item}) {
//   return <>
//     <Store>
//         <DataLoader setData={item.data} />
//         <AppShell layers={() => <Layers />} showDebugPane={false} contextPanel={() => <ContextPanel />} />
//     </Store>
//   </>
// }

function DataLoader({ data = null }) {
  const store = useStore();
  React.useEffect(() => {
    store.set("data", data);
  }, [data]);

  React.useEffect(() => {
    store.set("selectedLayer", ["Layer 1"]);
  }, []);

  return null;
}

function AnnotationTool({ log, data }) {
  return (
    <Frame
      style={{
        width: "50vw",
        height: "50vh",
        border: "0px"
      }}
      head={
        <>
          {/* <style>{styles}</style> */}
          <link
            rel="stylesheet"
            href="https://unpkg.com/@blueprintjs/core@3.42.0/lib/css/blueprint.css"
          />
          <link
            rel="stylesheet"
            href="https://unpkg.com/@blueprintjs/icons@3.26.0/lib/css/blueprint-icons.css"
          />
          <link
            rel="stylesheet"
            href="https://unpkg.com/annotation-toolkit@1.0.6/build/main.css"
          />
        </>
      }
    >
      <Store>
        <DataLoader data={data} />
        <AppShell
          layers={() => (
            <>
              <Layer
                displayName="Layer 1"
                icon="layer"
                getData={({ store }) => {
                  // log(store.get("data"));
                  return { data: store.get("data") };
                }}
                component={({ data }) => {
                  return (
                    <div
                      style={{
                        backgroundColor: "white",
                        borderRadus: 3,
                        padding: 5,
                        border: "1px solid rgba(0,0,0,0.2)"
                      }}
                    >
                      Data: {JSON.stringify(data)}
                    </div>
                  );
                }}
              />
              <Layer displayName="Layer 2" icon="layer" />
            </>
          )}
        />
      </Store>
    </Frame>
  );
}

export { AnnotationTool };
